Cyberduck Mountain Duck CLI

#9764 closed defect (worksforme)

folders not uploaded to correct directory

Reported by: stuarth Owned by:
Priority: normal Milestone: 5.3
Component: ftp Version: 5.2.2
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.11

Description (last modified by dkocher)

No matter which directory I try to upload to it puts the uploaded folder into the previous level directory. So I upload to public.html and it puts the folder in to the rout directory, or if i try to upload to styles folder it will put the folder into the public.html Using Mac OS X 10.12

CWD /public_html
250 OK. Current directory is /public_html
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (178,32,52,21,254,149)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20161117170644;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g37eb0c; .
type=pdir;sizd=4096;modify=20161113020034;UNIX.mode=0711;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g87931e5; ..
type=file;size=10244;modify=20151024074505;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411429; .DS_Store
type=file;size=70;modify=20150617133942;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g41142a; ._.DS_Store
type=file;size=16;modify=20150708115142;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g41142b; .ftpquota
type=file;size=1186;modify=20161105134534;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g41142c; .htaccess
type=file;size=2125;modify=20151007062346;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g41142d; .htaccess.
type=file;size=492750;modify=20150517053746;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g41142e; 9939.jpg
type=file;size=66;modify=20160907162621;UNIX.mode=0666;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g41142f; APP_PUB_AUTH.txt
type=dir;sizd=53;modify=20151204142322;UNIX.mode=0700;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g37ec56; XenForoMediaBBCodes-20151203
type=file;size=2171;modify=20151230114949;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411430; addon-FixxerRemoveQuicklinks 1.0.0.xml
type=dir;sizd=4096;modify=20160518192734;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g4103ca6; adds
type=file;size=415;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794623; admin.php
type=file;size=1791;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794621; admindav.php
type=dir;sizd=6;modify=20150708165242;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g37eb0d; cgi-bin
type=file;size=359;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794620; css.php
type=dir;sizd=4096;modify=20160723214114;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8793298; data
type=file;size=1134;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794622; deferred.php
type=file;size=6530;modify=20150920120348;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411435; donations_install.php
type=file;size=55135;modify=20161027102304;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411436; error_log
type=file;size=5430;modify=20150618151624;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411437; favicon.ico
type=file;size=535;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794624; fb_channel.php
type=dir;sizd=71;modify=20150708120902;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00gc19863b; fonts
type=file;size=53;modify=20150120172016;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411439; googleee8fd1598bfb0642.html
type=file;size=924;modify=20150708175703;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g41143a; htaccess.old
type=file;size=1186;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794627; htaccess.txt
type=dir;sizd=56;modify=20161117170644;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g4246a96; htmltest
type=file;size=416;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794626; index.php
type=dir;sizd=102;modify=20160529120046;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g37ec57; install
type=dir;sizd=4096;modify=20160509191906;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g4103ca7; internal_data
type=dir;sizd=4096;modify=20160731115330;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8793299; js
type=dir;sizd=4096;modify=20161105141211;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00gc19863c; library
type=dir;sizd=30;modify=20160110074352;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g37ec58; mapstorage
type=file;size=5;modify=20150708173704;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g41143d; matt.txt
type=dir;sizd=16;modify=20160530113208;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g4103ca8; og_images
type=file;size=1524;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794628; payment_callback.php
type=file;size=350;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g8794629; proxy.php
type=dir;sizd=36;modify=20161027235604;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g879329a; reign-of-chaos.co.uk
type=file;size=1025;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g879462a; rgba.php
type=file;size=1623;modify=20161111173936;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g879462c; sitemap.php
type=file;size=2448;modify=20150920131541;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411442; sn_payment_callback.php
type=dir;sizd=4096;modify=20160728075701;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00gc19863d; styles
type=file;size=5203;modify=20150428122916;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411443; upload.js
type=file;size=4326;modify=20151128075323;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411444; wmt_shariff.php
type=file;size=438;modify=20151128075323;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g411445; wmtechlc.php
226-Options: -a -l 
226 45 matches total
CWD /public_html/htmltest
250 OK. Current directory is /public_html/htmltest
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (178,32,52,21,246,4)
MLSD
150 Accepted data connection
type=cdir;sizd=56;modify=20161117170644;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g4246a96; .
type=pdir;sizd=4096;modify=20161117170644;UNIX.mode=0755;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g37eb0c; ..
type=file;size=6148;modify=20161117170644;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g4249536; .DS_Store
type=file;size=472;modify=20161117170644;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g44d42c1; form.html
type=file;size=106;modify=20161117170644;UNIX.mode=0644;UNIX.uid=1000;UNIX.gid=1000;unique=fd00g44d42c3; output.html
226-Options: -a -l 
226 5 matches total

Change History (3)

comment:1 Changed on Nov 28, 2016 at 1:58:49 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Dec 16, 2016 at 1:53:14 PM by dkocher

  • Milestone set to 6.0
  • Resolution set to worksforme
  • Status changed from new to closed

comment:3 Changed on Jan 11, 2017 at 8:33:37 AM by dkocher

  • Milestone changed from 6.0 to 5.3

Milestone renamed

Note: See TracTickets for help on using tickets.